' VBScript to Create Attributes
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.7")

'  Create the initial attribute values:
'      In order to create an attribute at least one set of 
'      label and value must be set.  This data is referenced 
'      by an index of zero in the attribute definition.  The 
'      following code adds an attribute definition named 
'      "MYATB" to the current drawing session and sets the 
'      initial label to "Type" and value to "Default":
    
vcadd.AddAtbDef "MYATB", "Type", "Default"

'  Set any subsequent label and values in the attribute:
'      An attribute can contain up to 256 label and value 
'      sets.  Each of these can represent any set of 
'      non-graphical data required. Each attribute label and 
'      value must be set in order. For example, an 
'      application can set the values for the second record 
'      set (iRec = 1) and then for the third record set 
'      (iRec = 2).  It can not skip a set, it must add the 
'      items in sequential order starting with 0 for the 
'      initial set.  The following code adds four more label 
'      and value record sets:

vcadd.SetAtbDefLabelValue "MYATB", "Label1", "Value1", 1
vcadd.SetAtbDefLabelValue "MYATB", "Label2", "Value2", 2
vcadd.SetAtbDefLabelValue "MYATB", "Label3", "Value3", 3
vcadd.SetAtbDefLabelValue "MYATB", "Label4", "Value4", 4

' release Visual CADD object
set vcadd = Nothing
