' VBScript to Load a Symbol
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.7")

'   Retrieve the internal name for the symbol:
'       When working with symbol entities, the index or the 
'       internal name is required. Since the index changes as
'       new symbols are loaded and others are deleted, 
'       typically the internal name should be used.  As 
'       noted, the internal name may not be known but can be 
'       found from the one saved on disk.  The following code
'       retrieves the internal name for a symbol from the one
'       saved on disk.

Dim szFilename
Dim szInternal
       
szFilename = "C:\\Users\\Public\\Documents\\Visual CADD 7\\Symbols\\CedarTree.vcs"

szInternal = vcadd.GetSymbolInternalName(szFilename)

'   Load the symbol based on the internal name:
'       When working with symbols, the symbol must be loaded 
'       into memory within the drawing session prior to any 
'       placement commands.  When loading new symbols into 
'       the session, an application should check if the 
'       definition has already been loaded by another 
'       application or the user.  The symbol must be loaded 
'       in order to be placed or manipulated.  The symbol can 
'       be loaded multiple times but will keep a single 
'       definition in memory.  The following code tests if 
'       the symbol has been loaded and loads the definition.

If (vcadd.IsSymbolLoaded(szInternal) = 0) Then
    vcadd.OpenVCS(szFilename)
End If

'   Optional: Follow with a symbol place operation.

' release Visual CADD object
set vcadd = Nothing
