' VBScript to Modify a Symbol
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.7")
set pt0 = CreateObject("VisualCADD.Point2D.7")
set pt1 = CreateObject("VisualCADD.Point2D.7")
set pt2 = CreateObject("VisualCADD.Point2D.7")

'   Retrieve the symbol index:
'       In order to add entities directly to a symbol 
'       definition, the symbol index must be used.  Since the 
'       symbol index can change as new symbols are loaded and 
'       others deleted, it should be determined from the 
'       internal name.  The following code retrieves the 
'       symbol index from the internal name:

Dim iSymbolIndex
iSymbolIndex = vcadd.GetSymbolIndex("MySymbolDefintion")

'   Add the entities directly to the symbol definition:
'       The returned symbol index can then be used to add 
'       entities directly to the definition.  The following 
'       code adds an arc to an existing definition using the 
'       points 0,0; 10,10; 20,0:

pt0.X = 0
pt0.Y = 0
pt1.X = 10
pt1.Y = 10
pt2.X = 20
pt2.Y = 0

vcadd.AddArcEntity iSymbolIndex, pt0, pt1, pt2

'   Optional: Save the symbol definition to disk:
'       When a symbol definition is modified it is simply 
'       changed in the current drawing session.  In order to 
'       utilize the definition in future drawing sessions, it 
'       must be saved to disk.  The following code saves the 
'       symbol to a VCS file.

vcadd.SaveVCS "MySymbolDefinition", "C:\MyPath\Symbols\MySymbol.vcs"

' release Visual CADD object
set vcadd = Nothing
set pt0 = Nothing
set pt1 = Nothing
set pt2 = Nothing
