' VBScript to Parse the Database
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.7")

'   used for messages
Dim sz

'   setup some counters
Dim iErasedCount
Dim iUnerasedCount

iErasedCount = 0
iUnerasedCount = 0
        
'   parse through the entire database:
'   start at the first entity
Dim iKind
iKind = vcadd.FirstEntity()

'   loop through entities
Do While (vcadd.GetErrorCode() = 0)
    '   VCFirstEntity() and VCNextEntity() move through the 
    '   database and make each successive entity the current 
    '   entity.  For example, we will process each current 
    '   entity to count the erased and un-erased entities.

    If (vcadd.IsCurrentErased() = 0) Then
        iUnerasedCount = iUnerasedCount + 1
    Else
        iErasedCount = iErasedCount + 1
    End If

    vcadd.NextEntity()

Loop

sz = "Erased count: " + CStr(iErasedCount) + vbLf
sz = sz + "Un-Erased count: " + CStr(iUnerasedCount)

MsgBox sz, vbInformation, "API Help Sample"

' release Visual CADD object
set vcadd = Nothing
